using System;

namespace ConsoleApp2
{
    class Program
    {
        static bool Provera(char[] x)
        {
            char privremeni;
            char trenutni;
            for (int i = 0; i < x.Length - 1; i++)
            {
                trenutni = x[i];
                privremeni = x[i + 1];
                if(trenutni == privremeni)
                {
                    return false;
                }
            }
            return true;
        }
        static void Main(string[] args)
        {

            string resenje = "";
            char Pera = '*';
            char Petra = '*';
            int PeraBroj = 0;
            int PetraBroj = 0;
            string inputL = "";
            inputL = Console.ReadLine();
            char[] cao = inputL.ToCharArray();
            Pera = cao[0];
            Petra = cao[1];
            string[] inp = Console.ReadLine().Split();
            PeraBroj = int.Parse(inp[0]);
            PetraBroj = int.Parse(inp[1]);
            while (true)
            {            
                if (PetraBroj != 0) 
                { 
                resenje += Petra;
                PetraBroj--;
                }
                if (PeraBroj != 0)
                {
                    resenje += Pera;
                    PeraBroj--;
                }
                if (PeraBroj == 0 && PetraBroj == 0)
                {
                    break;
                }
            }
            char[] o = resenje.ToCharArray();
            bool res = Provera(o);
            if (res)
            {
                Console.WriteLine(resenje);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }

    }
}